# Class GridCAFactory

java.lang.Object
com.sun.grid.ca.GridCAFactory

public class GridCAFactory extends Object
Factory class for instances of `GridCA`.

## Constructor Summary

Constructors
Constructor
Description
`GridCAFactory()`

## Method Summary

Modifier and Type
Method
Description
`static GridCA`
`newInstance(GridCAConfiguration config)`
Create a new `GridCA`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridCAFactory

public GridCAFactory()

## Method Details

### newInstance

public static GridCA newInstance(GridCAConfiguration config) throws GridCAException
Create a new `GridCA`

Parameters:
  `config` - configuration of the `GridCA`
Returns:
  the `GridCA`
Throws:
  `GridCAException` - if th configuration is not valid